Subject: make check FAILs: publish.scm store.scm
From: "Sanne Wouda" <[email-masked]>
To: [email-masked]
Date: Thu, 25 Feb 2021 14:51:29 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm seeing two failures when running the guix test suite on HEAD (c1da9829f8b6)

publish.scm "with cache" fails on line 456:

(= #o644 (stat:perms (lstat nar)))

which seems to be due to umask:

$ umask
0002

If I set umask to 022, the test passes.

The second failure is a crash in store.scm, which appears to be due to %shell being initialized to #f. I run make check inside guix environment guix --pure . Before running make check, SHELL=/bin/bash , so I'm not sure how (getenv "SHELL") would return #f.